LabVIEW

cancel
Showing results for 
Search instead for 
Did you mean: 

LabView 32-bit installer from Windows 10 won't run on Windows 7

Solved!
Go to solution

My program development system is a Windows 10 64-bit PC running 32-bit LabView 2017 SP1 f3.

I want to create a 32-bit installer to run my program's executable on a 32-bit Windows 7 PC.

Under Installer Properties/Advanced,  "Require the LabView 2017 32-bit development system" is checked and  "System Requirements" is set to "Windows 7 SP1 or later"

The development system creates the installer without any problems and my program's executable will run on any Windows 10 PC.

But the installer will not run on the Windows 7 PC.

Installation aborts with a "This installer requires Windows 10 64-bit (version 1507) or newer" message.

Is what I want to do possible?  or do I need to use an LabView installer created on a Windows 7 PC?

Any help would be appreciated.

Thanks

 

0 Kudos
Message 1 of 8
(2,014 Views)

Thanks altenbach; 

The referenced article definitely points to the problem.

I currently have package manager 21.3.0 installed and need to replace it with 20.6.

When attempting a Control Panel uninstall of package manager 21.3 it displays a warning that says if deleted,
you can never uninstall any programs installed by it, which appears to be the entire LabView setup.

If the warning is ignored and 21.3 is uninstalled, will the install of 20.6 find everything it needs to have?

0 Kudos
Message 3 of 8
(1,947 Views)

Have you tried just to edit the ini file of the installer as suggested?

0 Kudos
Message 4 of 8
(1,937 Views)

I did, several times.

I'd create the installer on my Windows 10 system.

Copied the installer to the hard drive on my Windows 7 system (embedded, Version 6.1.7601 Service Pack 1 Build 7601).

Edited the installer's setup.ini file per the instructions (VersionNTMin=6,1,7601,1,0).

Ran the Installer program: setup.exe

which then starts to install my executable without first installing LabView:

Pops up a message "You must install LabView 2017 32-bit on the system before you can run this setup"

0 Kudos
Message 5 of 8
(1,928 Views)

@altrow wrote:

Pops up a message "You must install LabView 2017 32-bit on the system before you can run this setup"


Of course that's a completely different error compared to what was discussed earlier in this thread. Right?

0 Kudos
Message 6 of 8
(1,923 Views)

It is, but its a product of trying to solve the original problem.

I'll backup a bit and try to install Package Builder 20.6
and if/when that fails I'll just do a new/clean LabView install.

Thanks for taking the time to help.

0 Kudos
Message 7 of 8
(1,916 Views)
Solution
Accepted by altrow

Problem solution:

In my original post I noted that under Installer Properties/Advanced, the "Require the LabView 2017 32-bit development system" was checked.  It should NOT have been.

Created the installer with the box unchecked, copied it to the Win 7 target system,

edited the setup.ini file per previous instruction and the install completed successfully.

So simple; a LabView learning experience.

0 Kudos
Message 8 of 8
(1,852 Views)